// DarkPlasma_Promise_EnemyBookLayout 1.0.0
// Copyright (c) 2020 DarkPlasma

/**
 * 2020/12/31 1.0.0 初版
 */

/*:ja
 * @plugindesc 魔物図鑑のレイアウト調整
 * @author DarkPlasma
 * @license No License
 *
 * @target MZ
 *
 * @base DarkPlasma_EnemyBook
 *
 * @param descriptionY
 * @desc 説明文のY座標
 * @text 説明文Y座標
 * @type number
 * @default 512
 *
 * @help
 * version: 1.0.0
 * 魔物図鑑のレイアウトを調整します。
 * 必ず、 DarkPlasma_EnemyBook と一緒に利用してください。
 */

(() => {
  'use strict';

  const pluginName = document.currentScript.src.replace(/^.*\/(.*).js$/, function () {
    return arguments[1];
  });

  const pluginParameters = PluginManager.parameters(pluginName);

  const settings = {
    descriptionY: Number(pluginParameters.descriptionY || 512),
  };

  Window_EnemyBookStatus.prototype.descriptionY = function () {
    return settings.descriptionY;
  };
})();
